// Написать функцию filterBy(), которая будет принимать в себя 2 аргумента. Первый аргумент - массив,
// который будет содержать в себе любые данные, второй аргумент - тип данных.
// Функция должна вернуть новый массив, который будет содержать в себе все данные, которые были переданы в аргумент,
// за исключением тех, тип которых был передан вторым аргументом. То есть, если передать массив ['hello', 'world', 23, '23', null],
// и вторым аргументом передать 'string', то функция вернет массив [23, null].

// Теория
// Цикл forEach перебирает каждый элемент массива, при этом не нужно объявлять отдельные переменные для фильтрации.

let data = ['hello', 'world', 23, '23', null];

const filterBy = (array, dataType) => array.filter(item => typeof item !== dataType);

console.log(filterBy(data, 'string'));